You are not logged in.

#1 2021-11-10 05:31:52

mipi
Member
From: Germany
Registered: 2018-01-03
Posts: 44

[SOLVED] Installation of distcc in chroot leads to error "call to exec

Hi,
I want to create a chroot via mkarchroot and install the package distcc. This leads to the error "call to execv failed (No such file or directory)". Interestingly, when I try to install distcc in that chroot again via arch-spawn the error does not occur.

Any idea why this happens or how I can find out the root cause? Thanks!

See the detailed output:

mipi@scotty ~/.cache/crema/chroots % mkarchroot ./mychroot/root base-devel distcc 
Create subvolume '/home/mipi/.cache/crema/chroots/mychroot/root'
==> Creating install root at /home/mipi/.cache/crema/chroots/mychroot/root
==> Installing packages to /home/mipi/.cache/crema/chroots/mychroot/root
:: Synchronizing package databases...
 core                                                              137.8 KiB   725 KiB/s 00:00 [#######################################################] 100%
 extra                                                            1567.2 KiB  3.26 MiB/s 00:00 [#######################################################] 100%
 community                                                           5.8 MiB  6.62 MiB/s 00:01 [#######################################################] 100%
 archi3linux                                                         4.5 KiB  34.4 KiB/s 00:00 [#######################################################] 100%
 mipi                                                             1392.0   B  1359 KiB/s 00:00 [#######################################################] 100%
 nerdstuff                                                           9.4 KiB  78.2 KiB/s 00:00 [#######################################################] 100%
:: There are 24 members in group base-devel:
:: Repository core
   1) autoconf  2) automake  3) binutils  4) bison  5) fakeroot  6) file  7) findutils  8) flex  9) gawk  10) gcc  11) gettext  12) grep  13) groff
   14) gzip  15) libtool  16) m4  17) make  18) pacman  19) patch  20) pkgconf  21) sed  22) sudo  23) texinfo  24) which

Enter a selection (default=all): 
resolving dependencies...
looking for conflicting packages...

Packages (115) acl-2.3.1-1  archlinux-keyring-20211028-1  attr-2.5.1-1  audit-3.0.5-1  avahi-0.8+22+gfd482a7-1  bash-5.1.008-1  brotli-1.0.9-4
               bzip2-1.0.8-4  ca-certificates-20210603-1  ca-certificates-mozilla-3.72-1  ca-certificates-utils-20210603-1  coreutils-9.0-2  curl-7.79.1-1
               db-5.3.28-5  dbus-1.12.20-1  diffutils-3.8-1  e2fsprogs-1.46.4-1  elfutils-0.185-1  expat-2.4.1-1  filesystem-2021.05.31-1  gc-8.2.0-2
               gcc-libs-11.1.0-1  gdbm-1.22-1  glib2-2.70.1-1  glibc-2.33-5  gmp-6.2.1-1  gnupg-2.2.32-1  gnutls-3.7.2-2  gpgme-1.16.0-1  guile-2.2.7-2
               iana-etc-20211025-1  icu-69.1-1  keyutils-1.6.3-1  krb5-1.19.2-1  less-1:590-1  libarchive-3.5.2-1  libassuan-2.5.5-1  libcap-2.60-1
               libcap-ng-0.8.2-3  libcroco-0.6.13-2  libdaemon-0.14-5  libelf-0.185-1  libffi-3.4.2-4  libgcrypt-1.9.4-1  libgpg-error-1.43-1
               libidn2-2.3.2-1  libksba-1.6.0-1  libldap-2.4.59-2  libmpc-1.2.1-1  libnghttp2-1.46.0-1  libnsl-2.0.0-1  libp11-kit-0.24.0-2  libpsl-0.21.1-1
               libsasl-2.1.27-3  libseccomp-2.5.2-1  libsecret-0.20.4-1  libssh2-1.10.0-1  libtasn1-4.17.0-1  libtirpc-1.3.2-1  libunistring-0.9.10-3
               libxcrypt-4.4.26-1  libxml2-2.9.12-2  linux-api-headers-5.12.3-1  lz4-1:1.9.3-2  mpfr-4.1.0.p13-1  ncurses-6.3-1  nettle-3.7.3-1  npth-1.6-3
               openssl-1.1.1.l-1  p11-kit-0.24.0-2  pacman-mirrorlist-20210822-1  pam-1.5.2-1  pambase-20210605-2  pcre-8.45-1  pcre2-10.37-1  perl-5.34.0-2
               pinentry-1.2.0-1  popt-1.18-1  python-3.9.7-2  readline-8.1.001-1  shadow-4.8.1-4  sqlite-3.36.0-1  systemd-libs-249.5-3  tar-1.34-1
               tzdata-2021e-1  util-linux-2.37.2-1  util-linux-libs-2.37.2-1  xz-5.2.5-2  zlib-1:1.2.11-4  zstd-1.5.0-1  autoconf-2.71-1  automake-1.16.5-1
               binutils-2.36.1-3  bison-3.8.2-1  distcc-3.4-3  fakeroot-1.26-1  file-5.41-1  findutils-4.8.0-1  flex-2.6.4-3  gawk-5.1.1-1  gcc-11.1.0-1
               gettext-0.21-1  grep-3.7-1  groff-1.22.4-6  gzip-1.11-1  libtool-2.4.6+42+gb88cebd5-16  m4-1.4.19-1  make-4.3-3  pacman-6.0.1-2
               patch-2.7.6-8  pkgconf-1.8.0-1  sed-4.8-1  sudo-1.9.8.p2-1  texinfo-6.8-2  which-2.21-5

Total Installed Size:  818.25 MiB

:: Proceed with installation? [Y/n] 
(115/115) checking keys in keyring                                                             [#######################################################] 100%
(115/115) checking package integrity                                                           [#######################################################] 100%
(115/115) loading package files                                                                [#######################################################] 100%
(115/115) checking for file conflicts                                                          [#######################################################] 100%
(115/115) checking available disk space                                                        [#######################################################] 100%
:: Processing package changes...
(  1/115) installing linux-api-headers                                                         [#######################################################] 100%
(  2/115) installing tzdata                                                                    [#######################################################] 100%
(  3/115) installing iana-etc                                                                  [#######################################################] 100%
(  4/115) installing filesystem                                                                [#######################################################] 100%
(  5/115) installing glibc                                                                     [#######################################################] 100%
Optional dependencies for glibc
    gd: for memusagestat
(  6/115) installing gcc-libs                                                                  [#######################################################] 100%
(  7/115) installing ncurses                                                                   [#######################################################] 100%
Optional dependencies for ncurses
    bash: for ncursesw6-config [pending]
(  8/115) installing readline                                                                  [#######################################################] 100%
(  9/115) installing bash                                                                      [#######################################################] 100%
Optional dependencies for bash
    bash-completion: for tab completion
( 10/115) installing gmp                                                                       [#######################################################] 100%
( 11/115) installing mpfr                                                                      [#######################################################] 100%
( 12/115) installing gawk                                                                      [#######################################################] 100%
( 13/115) installing m4                                                                        [#######################################################] 100%
( 14/115) installing diffutils                                                                 [#######################################################] 100%
( 15/115) installing gdbm                                                                      [#######################################################] 100%
( 16/115) installing db                                                                        [#######################################################] 100%
( 17/115) installing libxcrypt                                                                 [#######################################################] 100%
( 18/115) installing perl                                                                      [#######################################################] 100%
( 19/115) installing autoconf                                                                  [#######################################################] 100%
( 20/115) installing automake                                                                  [#######################################################] 100%
( 21/115) installing zlib                                                                      [#######################################################] 100%
( 22/115) installing bzip2                                                                     [#######################################################] 100%
( 23/115) installing attr                                                                      [#######################################################] 100%
( 24/115) installing acl                                                                       [#######################################################] 100%
( 25/115) installing util-linux-libs                                                           [#######################################################] 100%
( 26/115) installing e2fsprogs                                                                 [#######################################################] 100%
( 27/115) installing openssl                                                                   [#######################################################] 100%
Optional dependencies for openssl
    ca-certificates [pending]
    perl [installed]
( 28/115) installing libsasl                                                                   [#######################################################] 100%
( 29/115) installing libldap                                                                   [#######################################################] 100%
( 30/115) installing keyutils                                                                  [#######################################################] 100%
( 31/115) installing krb5                                                                      [#######################################################] 100%
( 32/115) installing libtirpc                                                                  [#######################################################] 100%
( 33/115) installing pambase                                                                   [#######################################################] 100%
( 34/115) installing libcap-ng                                                                 [#######################################################] 100%
( 35/115) installing audit                                                                     [#######################################################] 100%
( 36/115) installing pam                                                                       [#######################################################] 100%
( 37/115) installing libcap                                                                    [#######################################################] 100%
( 38/115) installing coreutils                                                                 [#######################################################] 100%
( 39/115) installing findutils                                                                 [#######################################################] 100%
( 40/115) installing libtasn1                                                                  [#######################################################] 100%
( 41/115) installing libffi                                                                    [#######################################################] 100%
( 42/115) installing libp11-kit                                                                [#######################################################] 100%
( 43/115) installing libgpg-error                                                              [#######################################################] 100%
( 44/115) installing libgcrypt                                                                 [#######################################################] 100%
( 45/115) installing lz4                                                                       [#######################################################] 100%
( 46/115) installing xz                                                                        [#######################################################] 100%
( 47/115) installing zstd                                                                      [#######################################################] 100%
( 48/115) installing systemd-libs                                                              [#######################################################] 100%
( 49/115) installing p11-kit                                                                   [#######################################################] 100%
( 50/115) installing ca-certificates-utils                                                     [#######################################################] 100%
( 51/115) installing ca-certificates-mozilla                                                   [#######################################################] 100%
( 52/115) installing ca-certificates                                                           [#######################################################] 100%
( 53/115) installing brotli                                                                    [#######################################################] 100%
( 54/115) installing libunistring                                                              [#######################################################] 100%
( 55/115) installing libidn2                                                                   [#######################################################] 100%
( 56/115) installing libnghttp2                                                                [#######################################################] 100%
( 57/115) installing libpsl                                                                    [#######################################################] 100%
( 58/115) installing libssh2                                                                   [#######################################################] 100%
( 59/115) installing curl                                                                      [#######################################################] 100%
( 60/115) installing libelf                                                                    [#######################################################] 100%
( 61/115) installing elfutils                                                                  [#######################################################] 100%
( 62/115) installing binutils                                                                  [#######################################################] 100%
( 63/115) installing pcre                                                                      [#######################################################] 100%
( 64/115) installing glib2                                                                     [#######################################################] 100%
Optional dependencies for glib2
    python: gdbus-codegen, glib-genmarshal, glib-mkenums, gtester-report [pending]
    libelf: gresource inspection tool [installed]
( 65/115) installing icu                                                                       [#######################################################] 100%
( 66/115) installing libxml2                                                                   [#######################################################] 100%
( 67/115) installing libcroco                                                                  [#######################################################] 100%
( 68/115) installing gettext                                                                   [#######################################################] 100%
Optional dependencies for gettext
    git: for autopoint infrastructure updates
( 69/115) installing bison                                                                     [#######################################################] 100%
( 70/115) installing sed                                                                       [#######################################################] 100%
( 71/115) installing shadow                                                                    [#######################################################] 100%
( 72/115) installing libseccomp                                                                [#######################################################] 100%
( 73/115) installing file                                                                      [#######################################################] 100%
( 74/115) installing util-linux                                                                [#######################################################] 100%
Optional dependencies for util-linux
    python: python bindings to libmount [pending]
    words: default dictionary for look
( 75/115) installing fakeroot                                                                  [#######################################################] 100%
( 76/115) installing flex                                                                      [#######################################################] 100%
( 77/115) installing libmpc                                                                    [#######################################################] 100%
( 78/115) installing gcc                                                                       [#######################################################] 100%
Optional dependencies for gcc
    lib32-gcc-libs: for generating code for 32-bit ABI
( 79/115) installing grep                                                                      [#######################################################] 100%
( 80/115) installing groff                                                                     [#######################################################] 100%
Optional dependencies for groff
    netpbm: for use together with man -H command interaction in browsers
    psutils: for use together with man -H command interaction in browsers
    libxaw: for gxditview
    perl-file-homedir: for use with glilypond
( 81/115) installing pcre2                                                                     [#######################################################] 100%
( 82/115) installing less                                                                      [#######################################################] 100%
( 83/115) installing gzip                                                                      [#######################################################] 100%
( 84/115) installing tar                                                                       [#######################################################] 100%
( 85/115) installing libtool                                                                   [#######################################################] 100%
( 86/115) installing texinfo                                                                   [#######################################################] 100%
( 87/115) installing gc                                                                        [#######################################################] 100%
( 88/115) installing guile                                                                     [#######################################################] 100%
( 89/115) installing make                                                                      [#######################################################] 100%
( 90/115) installing expat                                                                     [#######################################################] 100%
( 91/115) installing libarchive                                                                [#######################################################] 100%
( 92/115) installing npth                                                                      [#######################################################] 100%
( 93/115) installing libksba                                                                   [#######################################################] 100%
( 94/115) installing libassuan                                                                 [#######################################################] 100%
( 95/115) installing libsecret                                                                 [#######################################################] 100%
Optional dependencies for libsecret
    org.freedesktop.secrets: secret storage backend
( 96/115) installing pinentry                                                                  [#######################################################] 100%
Optional dependencies for pinentry
    gtk2: gtk2 backend
    qt5-base: qt backend
    gcr: gnome3 backend
( 97/115) installing nettle                                                                    [#######################################################] 100%
( 98/115) installing gnutls                                                                    [#######################################################] 100%
Optional dependencies for gnutls
    guile: for use with Guile bindings [installed]
( 99/115) installing sqlite                                                                    [#######################################################] 100%
(100/115) installing gnupg                                                                     [#######################################################] 100%
Optional dependencies for gnupg
    libldap: gpg2keys_ldap [installed]
    libusb-compat: scdaemon
    pcsclite: scdaemon
(101/115) installing gpgme                                                                     [#######################################################] 100%
(102/115) installing pacman-mirrorlist                                                         [#######################################################] 100%
(103/115) installing archlinux-keyring                                                         [#######################################################] 100%
(104/115) installing pacman                                                                    [#######################################################] 100%
Optional dependencies for pacman
    perl-locale-gettext: translation support in makepkg-template
(105/115) installing patch                                                                     [#######################################################] 100%
Optional dependencies for patch
    ed: for patch -e functionality
(106/115) installing pkgconf                                                                   [#######################################################] 100%
(107/115) installing sudo                                                                      [#######################################################] 100%
(108/115) installing which                                                                     [#######################################################] 100%
(109/115) installing libdaemon                                                                 [#######################################################] 100%
(110/115) installing dbus                                                                      [#######################################################] 100%
(111/115) installing avahi                                                                     [#######################################################] 100%
Optional dependencies for avahi
    gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc
    qt5-base: qt5 bindings
    libevent: libevent bindings
    nss-mdns: NSS support for mDNS
    python-twisted: avahi-bookmarks
    python-gobject: avahi-bookmarks, avahi-discover
    python-dbus: avahi-bookmarks, avahi-discover
(112/115) installing popt                                                                      [#######################################################] 100%
(113/115) installing libnsl                                                                    [#######################################################] 100%
(114/115) installing python                                                                    [#######################################################] 100%
Optional dependencies for python
    python-setuptools
    python-pip
    sqlite [installed]
    mpdecimal: for decimal
    xz: for lzma [installed]
    tk: for tkinter
(115/115) installing distcc                                                                    [#######################################################] 100%
Optional dependencies for distcc
    gcc=11.1.0 [installed]
    gtk3: for distccmon
:: Running post-transaction hooks...
(1/4) Rebuilding certificate stores...
(2/4) Reloading system bus configuration...
call to execv failed (No such file or directory)
error: command failed to execute correctly
(3/4) Warn about old perl modules
(4/4) Updating the info directory file...
Initializing machine ID from random generator.
Generating locales...
  en_US.UTF-8... done
  de_DE.UTF-8... done
Generation complete.
mkarchroot ./mychroot/root base-devel distcc  12,26s user 3,67s system 101% cpu 15,691 total
mipi@scotty ~/.cache/crema/chroots % arch-nspawn mychroot/root pacman -S distcc --noconfirm                 
warning: distcc-3.4-3 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) distcc-3.4-3

Total Installed Size:  1.18 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                 [#######################################################] 100%
(1/1) checking package integrity                                                               [#######################################################] 100%
(1/1) loading package files                                                                    [#######################################################] 100%
(1/1) checking for file conflicts                                                              [#######################################################] 100%
(1/1) checking available disk space                                                            [#######################################################] 100%
:: Processing package changes...
(1/1) reinstalling distcc         

Last edited by mipi (2021-11-11 07:07:27)

Offline

#2 2021-11-11 07:08:02

mipi
Member
From: Germany
Registered: 2018-01-03
Posts: 44

Re: [SOLVED] Installation of distcc in chroot leads to error "call to exec

Seems, that the error can be ignored since distcc is installed anyway. Thus, I consider my request as solved.

Offline

#3 2021-11-11 07:18:44

Allan
Pacman
From: Brisbane, AU
Registered: 2007-06-09
Posts: 11,078
Website

Re: [SOLVED] Installation of distcc in chroot leads to error "call to exec

(2/4) Reloading system bus configuration...
call to execv failed (No such file or directory)
error: command failed to execute correctly

FYI - that error is nothing to do with gcc.

Offline

Board footer

Powered by FluxBB